package common.item.tool;

import common.block.Block;
import common.block.Material;
import common.init.ToolMaterial;
import common.item.ItemStack;

public class ItemShovel extends ItemTool {
	public ItemShovel(ToolMaterial material) {
		super(1, material);
	}

	public boolean canUseOn(ItemStack stack, Block block) {
		return block.canShovelHarvest();
	}

	public boolean canHarvestBlock(Block block) {
		return block.getMaterial() == Material.POWDER || block.getMaterial() == Material.DIGGABLE;
	}
}
